Support » Plugin: Gantry 4 Framework » Conflict with Yoast SEO

  • Resolved sc456a

    (@sc456a)


    Confirmed on multiple sites – when Yoast SEO 5.3+ and Gantry 4.1.13 are both enabled, console errors such as this appear and the Gantry interfaces become unusable:

    wp-seo-babel-polyfill-533.min.js:1 Uncaught TypeError: Can’t call method on undefined
    at b.exports (wp-seo-babel-polyfill-533.min.js:1)
    at b.exports (wp-seo-babel-polyfill-533.min.js:2)
    at Function.from (wp-seo-babel-polyfill-533.min.js:2)
    at fireEvent (mootools.js:374)
    at HTMLDocument.g (mootools.js:514)

    Disabling Yoast solves the issue, but this bug needs to be fixed.

Viewing 10 replies - 16 through 25 (of 25 total)
  • Mind chiming back in here, @newkind @gantry? We’re in a pretty bad place right now. Gantry is conflicting with RokSprocket, Yoast, and Divi – and probably others. We need to get this fixed ASAP or we’re all going to have a lot of angry clients on our hands.

    Plugin Author Gantry

    (@gantry)

    Hi,

    Sorry for late reply. Well we won’t be able to solve it the way we should because like I mentioned it would require rewriting tons of MooTools code.

    However I just removed MooTools and (not fully working) QTags (text editor mode) RokSprocket button from the post/page edit screen. This allows me to not load MooTools on that page which fixes the issue with YOAST.

    MooTools still is required both by Gantry 4 and RokSprocket in the Widgets page, where YOAST loads its scripts too. So until you use the G4 Gizmo I mentioned previously, you still gonna see JS error there. I’m not sure why YOAST loads its JS on every admin page but as I stated before – it’s not a very good idea.

    If you guys are interested I can send you a snapshot build of RokSprocket so you could test it. I’ve also passed it to our mods for internal testing.

    Thanks

    Just checking in, @gantry. Right now my priority is getting pages/posts working again so we can use tools like the Divi Builder. The conflict with Yoast is a little easier to work around but we can’t use Divi without disabling Gantry which of course breaks the entire site.

    Plugin Author Gantry

    (@gantry)

    Here’s the snapshot of RokSprocket that removes usage of MooTools on the Page/Post edit screens. Please make a backup and test if it’s working fine for you.

    https://we.tl/fziCuuCbf6

    Tested and appears to function properly, @gantry.

    Plugin Author Gantry

    (@gantry)

    Ok, thank you.

    I’m experiencing this issue too @gantry, when can we expect this Roksprocket update to be released formally?

    Plugin Author Gantry

    (@gantry)

    It has already been released.

    How was this fixed?

    Plugin Author Gantry

    (@gantry)

    I believe that you can find some answers in my previous posts in this topic.

Viewing 10 replies - 16 through 25 (of 25 total)
  • The topic ‘Conflict with Yoast SEO’ is closed to new replies.